#ifndef GUI_OBJECT_H
#define GUI_OBJECT_H

#include <allegro.h>
#include <cassert>

//Template class for all Gui objects

class TGuiObject
{
    public:
        TGuiObject()
            {X = Y = W = H = 0;}
        TGuiObject (int x, int y, int w, int h)
            {X = x; Y = y; W = w; H = h;}
        //Update
        virtual void Update() = 0;
        //Draw
        virtual void Draw(BITMAP *Dest) = 0;
        //Coordinates and dimensions
        int X, Y, W, H;
};

#endif
