#include "particle.h"

//------------------------------------------------------------------------------

//Constructor
CParticle::CParticle(BITMAP *sprite)
{   
    Sprite = sprite;
}
//------------------------------------------------------------------------------

//Reset the particle 
void CParticle::Reset(float x, float y, float dx, float dy, float dlife)
{
    X = x;
    Y = y;
    dX = dx;
    dY = dy;
    Life = 1.0;
    dLife = dlife;
}
//------------------------------------------------------------------------------

//Destructor
CParticle::~CParticle()
{
}
//------------------------------------------------------------------------------

//Update
void CParticle::Update()
{
    X += dX;
    Y += dY;
    Life -= dLife;
}
//------------------------------------------------------------------------------

//Draw
void CParticle::Draw(BITMAP *Dest)
{
    if (Life > 0)
    {
        set_add_blender(0, 0, 0, (int)(Life*255));
        draw_trans_sprite(Dest, Sprite, (int)X, (int)Y);
    }
}
//------------------------------------------------------------------------------
