#ifndef PARTICLE_H
#define PARTICLE_H

#include <allegro.h>

//A particle in a particle effect

class CParticle
{
    public:
        CParticle(BITMAP *sprite);
        ~CParticle();
        void Reset(float x, float y, float dx, float dy, float dlife);
        void Update();
        void Draw(BITMAP *Dest);
        bool IsDead() {return Life <= 0;}
    //private:
        float X, Y;
        float dX, dY;
        float Life, dLife;
        BITMAP *Sprite;
};

#endif
