#ifndef TRAIL_H
#define TRAIL_H

#include <allegro.h>
#include <cstdlib>
#include "particle.h"
using namespace std;

//A trail effect of smoke or something similar

class CTrail
{
    public:
        CTrail(int num, float x, float y, float force, float dl, BITMAP *sprite);
        ~CTrail();
        void Start();
        void Stop();
        void Update(float x, float y);
        void Draw(BITMAP *Dest);
    private:
        float Rand(float Min, float Max);
    
        CParticle *Particles;
        int NumParticles;
        BITMAP *Sprite;
        float X, Y, Force, dLife;
        bool Started;
};

#endif
