#ifndef EXPLOSION_H
#define EXPLOSION_H

#include <fstream>
#include <allegro.h>
#include <cstdlib>
#include <cmath>
#include "particle.h"
using namespace std;

//An explosion effect

class CExplosion
{
    public:
        CExplosion(int num, float force, float x, float y, float dl, BITMAP *Sprite);
        ~CExplosion();
        void Stop();
        void Start();
        void Reset(float x, float y);
        void Update();
        void Draw(BITMAP *Dest);
        bool Exploding(){return Started;}
    private:
        float Rand(float Min, float Max);
        
        CParticle *Particles;
        bool Started;
        int NumParticles;
        float Force, X, Y, dLife;
        BITMAP *Sprite;
};

#endif
