#ifndef GUI_BUTTON_H
#define GUI_BUTTON_H

#include <string>
#include <cassert>
#include "guiobject.h"

using namespace std;

//A simple button

class CGuiButton : public TGuiObject
{
    public:
        CGuiButton(int x, int y, BITMAP *u, BITMAP *d, string t,
                FONT *f, int tc);
        ~CGuiButton();
        void Update();
        void Draw(BITMAP *Dest);
        //Set if the button is clicked
        bool ClickFlag;

        bool IsPressed;
        //Text
        string Text;

    private:
        //Images
        BITMAP *Up, *Down;
        //Font
        int TextColor;
        FONT *Font;
};

#endif
