#ifndef STARFIELD_H
#define STARFIELD_H

#include <cstdlib>
#include <allegro.h>
#include "data/sprites.h"
using namespace std;

//A star in the background
class CStar
{
    public:
        float X, Y;
        int Col;
};

//The starfield, background and that stuff

class CStarField
{
    public:
        CStarField(int num, DATAFILE *dat);
        ~CStarField();
        //Draw the starfield
        void Draw(BITMAP *Dest);
        //Move the stars
        void Update();
    private:
        //Stars in three layers
        CStar *Stars1;
        CStar *Stars2;
        CStar *Stars3;
        int NumStars;
        //Data
        DATAFILE *Data;
};

#endif
